<?php

declare(strict_types=1);

namespace Dedi\SyliusShipmentPlugin\DependencyInjection\Settings;

use Dedi\Contracts\SyliusPluginSettings\SettingsInterface as SettingsContractsInterface;

interface SettingsInterface extends SettingsContractsInterface
{
    public function isColissimoEnabled(): bool;

    public function isDpdEnabled(): bool;

    public function isTntEnabled(): bool;

    public function isGlsEnabled(): bool;

    public function isFrancoEnabled(): bool;
}
