<?php

namespace Tests\Dedi\SyliusShipmentPlugin\Application\src\Entity;

use Doctrine\ORM\Mapping as ORM;
use Dedi\SyliusShipmentPlugin\Entity\PickupPointProviderAwareTrait;
use Dedi\SyliusShipmentPlugin\Entity\ShippingMethodInterface;
use Sylius\Component\Core\Model\ShippingMethod as BaseShippingMethod;

/**
 * @ORM\Entity()
 * @ORM\Table(name="sylius_shipping_method")
 */
class ShippingMethod extends BaseShippingMethod implements ShippingMethodInterface
{
    use PickupPointProviderAwareTrait;
}