<?php

declare(strict_types=1);

namespace Dedi\SyliusShipmentPlugin\Modifier;

use Sylius\Component\Core\Model\OrderInterface;

interface OrderAddressModifierInterface
{
    public function storeTempOrderShippingAddress(OrderInterface $order): void;

    public function updateOrderShippingAddress(OrderInterface $order): void;

    public function removeTempAddress(OrderInterface $order): void;
}
